<html>
<head>
<title>OGRE: Ogre::ParamCommand Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ParamCommand.html">ParamCommand</a></div>
<h1>Ogre::ParamCommand Class Reference</h1><!-- doxytag: class="Ogre::ParamCommand" -->Abstract class which is command object which gets/sets parameters.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>&gt;</code>
<p>
Inherited by <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html">Ogre::BillboardParticleRenderer::CmdAccurateFacing</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html">Ogre::BillboardParticleRenderer::CmdBillboardOrigin</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html">Ogre::BillboardParticleRenderer::CmdBillboardRotationType</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html">Ogre::BillboardParticleRenderer::CmdBillboardType</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html">Ogre::BillboardParticleRenderer::CmdCommonDirection</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html">Ogre::BillboardParticleRenderer::CmdCommonUpVector</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html">Ogre::BillboardParticleRenderer::CmdPointRendering</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomLeftUV.html">Ogre::BorderPanelOverlayElement::CmdBorderBottomLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomRightUV.html">Ogre::BorderPanelOverlayElement::CmdBorderBottomRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomUV.html">Ogre::BorderPanelOverlayElement::CmdBorderBottomUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderLeftUV.html">Ogre::BorderPanelOverlayElement::CmdBorderLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderMaterial.html">Ogre::BorderPanelOverlayElement::CmdBorderMaterial</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderRightUV.html">Ogre::BorderPanelOverlayElement::CmdBorderRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderSize.html">Ogre::BorderPanelOverlayElement::CmdBorderSize</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopLeftUV.html">Ogre::BorderPanelOverlayElement::CmdBorderTopLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopRightUV.html">Ogre::BorderPanelOverlayElement::CmdBorderTopRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopUV.html">Ogre::BorderPanelOverlayElement::CmdBorderTopUV</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdAngle.html">Ogre::EmitterCommands::CmdAngle</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColour.html">Ogre::EmitterCommands::CmdColour</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html">Ogre::EmitterCommands::CmdColourRangeEnd</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html">Ogre::EmitterCommands::CmdColourRangeStart</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDirection.html">Ogre::EmitterCommands::CmdDirection</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html">Ogre::EmitterCommands::CmdDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html">Ogre::EmitterCommands::CmdEmissionRate</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html">Ogre::EmitterCommands::CmdEmittedEmitter</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html">Ogre::EmitterCommands::CmdMaxDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html">Ogre::EmitterCommands::CmdMaxRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html">Ogre::EmitterCommands::CmdMaxTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html">Ogre::EmitterCommands::CmdMaxVelocity</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html">Ogre::EmitterCommands::CmdMinDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html">Ogre::EmitterCommands::CmdMinRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html">Ogre::EmitterCommands::CmdMinTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html">Ogre::EmitterCommands::CmdMinVelocity</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdName.html">Ogre::EmitterCommands::CmdName</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdPosition.html">Ogre::EmitterCommands::CmdPosition</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html">Ogre::EmitterCommands::CmdRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdTTL.html">Ogre::EmitterCommands::CmdTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html">Ogre::EmitterCommands::CmdVelocity</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html">Ogre::ExternalTextureSource::CmdFPS</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html">Ogre::ExternalTextureSource::CmdInputFileName</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html">Ogre::ExternalTextureSource::CmdPlayMode</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html">Ogre::ExternalTextureSource::CmdTecPassState</a>, <a class="el" href="classOgre_1_1Font_1_1CmdCodePoints.html">Ogre::Font::CmdCodePoints</a>, <a class="el" href="classOgre_1_1Font_1_1CmdResolution.html">Ogre::Font::CmdResolution</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSize.html">Ogre::Font::CmdSize</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSource.html">Ogre::Font::CmdSource</a>, <a class="el" href="classOgre_1_1Font_1_1CmdType.html">Ogre::Font::CmdType</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdMorph.html">Ogre::GpuProgram::CmdMorph</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdPose.html">Ogre::GpuProgram::CmdPose</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSkeletal.html">Ogre::GpuProgram::CmdSkeletal</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSyntax.html">Ogre::GpuProgram::CmdSyntax</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdType.html">Ogre::GpuProgram::CmdType</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdVTF.html">Ogre::GpuProgram::CmdVTF</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdCaption.html">Ogre::OverlayElementCommands::CmdCaption</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHeight.html">Ogre::OverlayElementCommands::CmdHeight</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHorizontalAlign.html">Ogre::OverlayElementCommands::CmdHorizontalAlign</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdLeft.html">Ogre::OverlayElementCommands::CmdLeft</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMaterial.html">Ogre::OverlayElementCommands::CmdMaterial</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMetricsMode.html">Ogre::OverlayElementCommands::CmdMetricsMode</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdTop.html">Ogre::OverlayElementCommands::CmdTop</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVerticalAlign.html">Ogre::OverlayElementCommands::CmdVerticalAlign</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVisible.html">Ogre::OverlayElementCommands::CmdVisible</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdWidth.html">Ogre::OverlayElementCommands::CmdWidth</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTiling.html">Ogre::PanelOverlayElement::CmdTiling</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTransparent.html">Ogre::PanelOverlayElement::CmdTransparent</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdUVCoords.html">Ogre::PanelOverlayElement::CmdUVCoords</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdCull.html">Ogre::ParticleSystem::CmdCull</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdEmittedEmitterQuota.html">Ogre::ParticleSystem::CmdEmittedEmitterQuota</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdHeight.html">Ogre::ParticleSystem::CmdHeight</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdIterationInterval.html">Ogre::ParticleSystem::CmdIterationInterval</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdLocalSpace.html">Ogre::ParticleSystem::CmdLocalSpace</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdMaterial.html">Ogre::ParticleSystem::CmdMaterial</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdNonvisibleTimeout.html">Ogre::ParticleSystem::CmdNonvisibleTimeout</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdQuota.html">Ogre::ParticleSystem::CmdQuota</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdRenderer.html">Ogre::ParticleSystem::CmdRenderer</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdSorted.html">Ogre::ParticleSystem::CmdSorted</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdWidth.html">Ogre::ParticleSystem::CmdWidth</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html">Ogre::TextAreaOverlayElement::CmdAlignment</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCaption.html">Ogre::TextAreaOverlayElement::CmdCaption</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html">Ogre::TextAreaOverlayElement::CmdCharHeight</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html">Ogre::TextAreaOverlayElement::CmdColour</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html">Ogre::TextAreaOverlayElement::CmdColourBottom</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html">Ogre::TextAreaOverlayElement::CmdColourTop</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html">Ogre::TextAreaOverlayElement::CmdFontName</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html">Ogre::TextAreaOverlayElement::CmdSpaceWidth</a>, and <a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram_1_1CmdDelegate.html">Ogre::UnifiedHighLevelGpuProgram::CmdDelegate</a>.
<p>

<p>
<a href="classOgre_1_1ParamCommand-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamCommand.html#e47ea550693403baebbcde11c59e074f">doGet</a> (const void *target) const =0</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamCommand.html#d69d7e3ca3959f0ab2e84137f621ca6a">doSet</a> (void *target, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;val)=0</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParamCommand.html#44288c733303c12a4cb30f483ee006ee">~ParamCommand</a> ()</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Abstract class which is command object which gets/sets parameters. 
<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00072">72</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="44288c733303c12a4cb30f483ee006ee"></a><!-- doxytag: member="Ogre::ParamCommand::~ParamCommand" ref="44288c733303c12a4cb30f483ee006ee" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ParamCommand::~ParamCommand           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreStringInterface_8h-source.html#l00078">78</a> of file <a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="e47ea550693403baebbcde11c59e074f"></a><!-- doxytag: member="Ogre::ParamCommand::doGet" ref="e47ea550693403baebbcde11c59e074f" args="(const void *target) const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::ParamCommand::doGet           </td>
          <td>(</td>
          <td class="paramtype">const void *&nbsp;</td>
          <td class="paramname"> <em>target</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html#59e58a6eec2d40de6d686ac7f70c1c1a">Ogre::BillboardParticleRenderer::CmdBillboardType</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html#1aafbc69bcc3702ef33854dd9e087482">Ogre::BillboardParticleRenderer::CmdBillboardOrigin</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html#091598c0e05287c88fcebcd59b083fbc">Ogre::BillboardParticleRenderer::CmdBillboardRotationType</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html#129da95de25541d15869ffe52466efeb">Ogre::BillboardParticleRenderer::CmdCommonDirection</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html#496dc82ba73831dc3c14ce3fb7b6468a">Ogre::BillboardParticleRenderer::CmdCommonUpVector</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html#71c281888b954e51e69d406c9628ee1f">Ogre::BillboardParticleRenderer::CmdPointRendering</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html#f8e4b8c2c24c11d927fa3a1de075dbec">Ogre::BillboardParticleRenderer::CmdAccurateFacing</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderSize.html#c1a6fc2ce8ac86acf3567e179adc4d38">Ogre::BorderPanelOverlayElement::CmdBorderSize</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderMaterial.html#4d592313da0af5e5d7c2186336c26e9e">Ogre::BorderPanelOverlayElement::CmdBorderMaterial</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderLeftUV.html#c2860c21506f3c965e03ba20777439fb">Ogre::BorderPanelOverlayElement::CmdBorderLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopUV.html#319c8b881bfeb0d9c372c033973a5176">Ogre::BorderPanelOverlayElement::CmdBorderTopUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderRightUV.html#99c5fc35b5bbf878b458bb74a39da52c">Ogre::BorderPanelOverlayElement::CmdBorderRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomUV.html#ad65cd3d2e2901cec798f2084e0536ff">Ogre::BorderPanelOverlayElement::CmdBorderBottomUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopLeftUV.html#9a6cacd8af82883e9dbcee806cdf4e46">Ogre::BorderPanelOverlayElement::CmdBorderTopLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomLeftUV.html#368b508c1286b15759f701aedf360697">Ogre::BorderPanelOverlayElement::CmdBorderBottomLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomRightUV.html#25bd92a993a9f32957112e80331584c1">Ogre::BorderPanelOverlayElement::CmdBorderBottomRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopRightUV.html#0356a3b268723b9b5ee970bfd2485ace">Ogre::BorderPanelOverlayElement::CmdBorderTopRightUV</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html#40ad56257800aeca060318ceaa1500ca">Ogre::ExternalTextureSource::CmdInputFileName</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html#1e2b78272f0aecfe386ae99cc099c936">Ogre::ExternalTextureSource::CmdFPS</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html#97645fb5153d600287f65c68a79050ae">Ogre::ExternalTextureSource::CmdPlayMode</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html#ba91f4620c693f389177026cd0d1ba7a">Ogre::ExternalTextureSource::CmdTecPassState</a>, <a class="el" href="classOgre_1_1Font_1_1CmdType.html#1d2b4eac5f898e7f4fb26d4b0f667462">Ogre::Font::CmdType</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSource.html#c7e554c22927c3d5d6199c1a4f535e5d">Ogre::Font::CmdSource</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSize.html#8f4957ea44ac5ba17f76214474d18f5c">Ogre::Font::CmdSize</a>, <a class="el" href="classOgre_1_1Font_1_1CmdResolution.html#8b2d0baa6e4ac034cfc2a228d7ab7872">Ogre::Font::CmdResolution</a>, <a class="el" href="classOgre_1_1Font_1_1CmdCodePoints.html#7672e1462797459272dc56d711188ba8">Ogre::Font::CmdCodePoints</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdType.html#fbe49e5d8d150656185168f71f0958a5">Ogre::GpuProgram::CmdType</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSyntax.html#b389de9e165f9debc974c9bc5f23f33f">Ogre::GpuProgram::CmdSyntax</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSkeletal.html#25fab051daf91a5aa1a64f28db6409fa">Ogre::GpuProgram::CmdSkeletal</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdMorph.html#20fb82f474fc9d8f42639e41385855cf">Ogre::GpuProgram::CmdMorph</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdPose.html#a3d18a0d7f3914a62ac5d54677bca8b7">Ogre::GpuProgram::CmdPose</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdVTF.html#7fb2645117493fb5489ebc4884aa158a">Ogre::GpuProgram::CmdVTF</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdLeft.html#8804b98d1275ac68dcbd3a6864dda21a">Ogre::OverlayElementCommands::CmdLeft</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdTop.html#3f5d617092889084cf1dc9be2d0dec78">Ogre::OverlayElementCommands::CmdTop</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdWidth.html#2c3a3432731ba825725b2ac21f686e9f">Ogre::OverlayElementCommands::CmdWidth</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHeight.html#98177ae8e16e5a8de0e8e51765cf5064">Ogre::OverlayElementCommands::CmdHeight</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMaterial.html#b2656d50a7f9144940d1b8b5efe14ad8">Ogre::OverlayElementCommands::CmdMaterial</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdCaption.html#69d7f8990da2459fdea70c973039108f">Ogre::OverlayElementCommands::CmdCaption</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMetricsMode.html#e329b23c908810000f4a4f4dd8fb7fef">Ogre::OverlayElementCommands::CmdMetricsMode</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHorizontalAlign.html#efde9a70424e70a4f862de83a6b4157b">Ogre::OverlayElementCommands::CmdHorizontalAlign</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVerticalAlign.html#e692a39c7387c2f793dbb7f33287022a">Ogre::OverlayElementCommands::CmdVerticalAlign</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVisible.html#5976ed7a34b7786e34e04b0d54720bca">Ogre::OverlayElementCommands::CmdVisible</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTiling.html#965f2e1e7403766fc8abfb56ada0cc71">Ogre::PanelOverlayElement::CmdTiling</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTransparent.html#0a05c4c13d5f812dc3bea94f256e89de">Ogre::PanelOverlayElement::CmdTransparent</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdUVCoords.html#a0f2744c5681ef870e9073b967133e7f">Ogre::PanelOverlayElement::CmdUVCoords</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdAngle.html#485c1b156f42cc280d18c1d1d90b589f">Ogre::EmitterCommands::CmdAngle</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColour.html#f380ca9a45a713bc96ef1b9cf07b1745">Ogre::EmitterCommands::CmdColour</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html#8546f5824d0f483b1867e852d5e8062f">Ogre::EmitterCommands::CmdColourRangeStart</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html#aa75d44323cf892cd020f96ea91c1b74">Ogre::EmitterCommands::CmdColourRangeEnd</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDirection.html#bdfec6959b2a19d73009b2c84d4b9b7a">Ogre::EmitterCommands::CmdDirection</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html#18d5254bb3cb33162fd7f963b53de966">Ogre::EmitterCommands::CmdEmissionRate</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html#5924362dd9181226f713ffa9c46e3a0a">Ogre::EmitterCommands::CmdVelocity</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html#5509c2446fc3c9d5d9267d919159dca7">Ogre::EmitterCommands::CmdMinVelocity</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html#5c3bfb6848a8d311d76a6f7d1f2da5f5">Ogre::EmitterCommands::CmdMaxVelocity</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdTTL.html#432c58ccde312a641f3d8fff11ad1ff1">Ogre::EmitterCommands::CmdTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html#860721221eb6d1bd4557e2d3bd18fe94">Ogre::EmitterCommands::CmdMinTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html#667b15b71a67b476926628cf572b49bc">Ogre::EmitterCommands::CmdMaxTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdPosition.html#78475ee2d3a4a7aa8441dceaa6561e7c">Ogre::EmitterCommands::CmdPosition</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#5a628c12e409fff3701deb9395a766f7">Ogre::EmitterCommands::CmdDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html#820e5cbe682e3994656f8ba69edb5077">Ogre::EmitterCommands::CmdMinDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html#115a3b704965d0c02c0d64f991b3c873">Ogre::EmitterCommands::CmdMaxDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html#87b144e51e753cbdf2c175f9f3c0b515">Ogre::EmitterCommands::CmdRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html#5f021a75d99396ba4711c7db07e3de9d">Ogre::EmitterCommands::CmdMinRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html#e3fafef4edbdc552bf67833c13e145d9">Ogre::EmitterCommands::CmdMaxRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdName.html#71a1e6cda21a1682dd4d88b9a7ded31d">Ogre::EmitterCommands::CmdName</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html#b0cd8f5312db44f782d6de430f1da708">Ogre::EmitterCommands::CmdEmittedEmitter</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdQuota.html#cdf31edfef7c836c6742c5ca4d3a2a21">Ogre::ParticleSystem::CmdQuota</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdEmittedEmitterQuota.html#93f344ac613562a1119f3ddface1c81e">Ogre::ParticleSystem::CmdEmittedEmitterQuota</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdMaterial.html#ba30630107997cc2d1e6371acc79cefe">Ogre::ParticleSystem::CmdMaterial</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdCull.html#06056d2538dfd630fb1b1d7631833692">Ogre::ParticleSystem::CmdCull</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdWidth.html#21bd5287ed396156d75440bab339b631">Ogre::ParticleSystem::CmdWidth</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdHeight.html#7cd0d22cbc4cdbb95a4ff84712840c47">Ogre::ParticleSystem::CmdHeight</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdRenderer.html#aa4d8453c460c066778b42c02cfdc1c5">Ogre::ParticleSystem::CmdRenderer</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdSorted.html#7f94e13017d3e58ddf00b83a64b773e7">Ogre::ParticleSystem::CmdSorted</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdLocalSpace.html#b96fe9f6617dc9986ffe87645bde0bc6">Ogre::ParticleSystem::CmdLocalSpace</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdIterationInterval.html#9dad98336251f71c5ed140ff66292533">Ogre::ParticleSystem::CmdIterationInterval</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdNonvisibleTimeout.html#a38700ed5ec8eb6df74d8dbd4414fb71">Ogre::ParticleSystem::CmdNonvisibleTimeout</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCaption.html#00a37ca9020008eef870f9273a53ee0a">Ogre::TextAreaOverlayElement::CmdCaption</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html#e8ac2f62ded7cb1f8004712efcce0d34">Ogre::TextAreaOverlayElement::CmdCharHeight</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html#56e3a2dea50d7a6a0cac1851ad28cb0f">Ogre::TextAreaOverlayElement::CmdSpaceWidth</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html#4c2d41055903adf9965dd25a16eb9868">Ogre::TextAreaOverlayElement::CmdFontName</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html#6f604e87073dd4248ae8dda20af3149c">Ogre::TextAreaOverlayElement::CmdColourTop</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html#bb6453da39ac1ba1823dc7246e0908f6">Ogre::TextAreaOverlayElement::CmdColourBottom</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html#f02d07d870679b22d8665255c4f7aa30">Ogre::TextAreaOverlayElement::CmdColour</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html#b357150f1bfc5a89b13fae855239fec4">Ogre::TextAreaOverlayElement::CmdAlignment</a>, and <a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram_1_1CmdDelegate.html#4e4321fde19038509ffac8447a1b261b">Ogre::UnifiedHighLevelGpuProgram::CmdDelegate</a>.</p>

<p>Referenced by <a class="el" href="OgreStringInterface_8h-source.html#l00269">Ogre::StringInterface::getParameter()</a>.</p>

</div>
</div><p>
<a class="anchor" name="d69d7e3ca3959f0ab2e84137f621ca6a"></a><!-- doxytag: member="Ogre::ParamCommand::doSet" ref="d69d7e3ca3959f0ab2e84137f621ca6a" args="(void *target, const String &amp;val)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ParamCommand::doSet           </td>
          <td>(</td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implemented in <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardType.html#defdee99a48f4335fc7e52e9ab978a46">Ogre::BillboardParticleRenderer::CmdBillboardType</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardOrigin.html#c2e998fadf762ef3fd4a5e49c71e3c08">Ogre::BillboardParticleRenderer::CmdBillboardOrigin</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdBillboardRotationType.html#8657475f943a4ad93b9833804c2ddccc">Ogre::BillboardParticleRenderer::CmdBillboardRotationType</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonDirection.html#3dba560e9c9ae9dd27756759d0ca30f3">Ogre::BillboardParticleRenderer::CmdCommonDirection</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdCommonUpVector.html#bc4a1186a2ea3b1a0afb4c5c3f4f915a">Ogre::BillboardParticleRenderer::CmdCommonUpVector</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdPointRendering.html#cc444207b1daf0469f717d5c407491e2">Ogre::BillboardParticleRenderer::CmdPointRendering</a>, <a class="el" href="classOgre_1_1BillboardParticleRenderer_1_1CmdAccurateFacing.html#5ba9ec2bf269d74d4587cbd00b7acbfe">Ogre::BillboardParticleRenderer::CmdAccurateFacing</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderSize.html#e4a4600a303b310e67c75a4b8ce99b99">Ogre::BorderPanelOverlayElement::CmdBorderSize</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderMaterial.html#e67a01f90639de22e88f29094d867bd7">Ogre::BorderPanelOverlayElement::CmdBorderMaterial</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderLeftUV.html#fb95e5223281c6f6f974da6cbe8e47ce">Ogre::BorderPanelOverlayElement::CmdBorderLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopUV.html#2b58a4da9db6caf629ede8f1a27f8416">Ogre::BorderPanelOverlayElement::CmdBorderTopUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderRightUV.html#50feced8b3135e3dc8a044f15a267135">Ogre::BorderPanelOverlayElement::CmdBorderRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomUV.html#7aea4901967db88b2a6f03bceab3948d">Ogre::BorderPanelOverlayElement::CmdBorderBottomUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopLeftUV.html#129218fb1febb774e21dddea3b7d4a28">Ogre::BorderPanelOverlayElement::CmdBorderTopLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomLeftUV.html#35d8a1e18faeafa723a6dc60bd190093">Ogre::BorderPanelOverlayElement::CmdBorderBottomLeftUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderBottomRightUV.html#f028c2e8a835c17486e210bb5ef4588d">Ogre::BorderPanelOverlayElement::CmdBorderBottomRightUV</a>, <a class="el" href="classOgre_1_1BorderPanelOverlayElement_1_1CmdBorderTopRightUV.html#4f94283ad14030b37012cc94c86e13ad">Ogre::BorderPanelOverlayElement::CmdBorderTopRightUV</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdInputFileName.html#ce33c916a7ee95c321851ffdf2aa453a">Ogre::ExternalTextureSource::CmdInputFileName</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdFPS.html#8c158c6d33da589210d00386e7a8aba5">Ogre::ExternalTextureSource::CmdFPS</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdPlayMode.html#e8b5faf3045a8998f93b97cdb789d7fb">Ogre::ExternalTextureSource::CmdPlayMode</a>, <a class="el" href="classOgre_1_1ExternalTextureSource_1_1CmdTecPassState.html#a82d68c0c41609f62d74ad9b26847bf6">Ogre::ExternalTextureSource::CmdTecPassState</a>, <a class="el" href="classOgre_1_1Font_1_1CmdType.html#3c666d4d97c4c4b2d82b0a9864188edd">Ogre::Font::CmdType</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSource.html#17601ffb78d869e8ed0b9af0297b6609">Ogre::Font::CmdSource</a>, <a class="el" href="classOgre_1_1Font_1_1CmdSize.html#898716c0fdbd67b1d283f10af496d7f5">Ogre::Font::CmdSize</a>, <a class="el" href="classOgre_1_1Font_1_1CmdResolution.html#8f56700983af6e48087b4b92041b1820">Ogre::Font::CmdResolution</a>, <a class="el" href="classOgre_1_1Font_1_1CmdCodePoints.html#ec05cbfddc57fef4e5942c7fb97361db">Ogre::Font::CmdCodePoints</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdType.html#2762eb03f2c959104b03a1ad53f6d0d9">Ogre::GpuProgram::CmdType</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSyntax.html#aeb6e5462bf9d09373415654a0b12b46">Ogre::GpuProgram::CmdSyntax</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdSkeletal.html#8c9a2d0e16256868eca98248d2f26c46">Ogre::GpuProgram::CmdSkeletal</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdMorph.html#045d577cdb987e565e322ab4358fed93">Ogre::GpuProgram::CmdMorph</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdPose.html#ae5ea54578dd31091d891ca7b612f090">Ogre::GpuProgram::CmdPose</a>, <a class="el" href="classOgre_1_1GpuProgram_1_1CmdVTF.html#5c60d5f55adba52c2baaede60e760097">Ogre::GpuProgram::CmdVTF</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdLeft.html#acdfd33c4cd1163ab4521ae3c0df40b5">Ogre::OverlayElementCommands::CmdLeft</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdTop.html#f409b1752c7f1df0e55ca0373337ef96">Ogre::OverlayElementCommands::CmdTop</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdWidth.html#ad9cd372324ffac78b136889500bc57c">Ogre::OverlayElementCommands::CmdWidth</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHeight.html#615ebe0046de546a67ed2bd85e9c0769">Ogre::OverlayElementCommands::CmdHeight</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMaterial.html#7920aa95725174a957c395e82d0268db">Ogre::OverlayElementCommands::CmdMaterial</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdCaption.html#fec88b5336a38a9b8e4bdb157ab9ab55">Ogre::OverlayElementCommands::CmdCaption</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdMetricsMode.html#d45fe867da68f21730b5136b90e01dff">Ogre::OverlayElementCommands::CmdMetricsMode</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdHorizontalAlign.html#001207ca24520460e2267f46bfd2e5ff">Ogre::OverlayElementCommands::CmdHorizontalAlign</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVerticalAlign.html#22b07557b8072f3f76029668b7001b1b">Ogre::OverlayElementCommands::CmdVerticalAlign</a>, <a class="el" href="classOgre_1_1OverlayElementCommands_1_1CmdVisible.html#4d4a01e40bb11f778bfe8ecf732bc270">Ogre::OverlayElementCommands::CmdVisible</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTiling.html#835640494d5658bf307d4445dc2200fb">Ogre::PanelOverlayElement::CmdTiling</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdTransparent.html#b07a31479bf94f3f82a57a6fb99ebd90">Ogre::PanelOverlayElement::CmdTransparent</a>, <a class="el" href="classOgre_1_1PanelOverlayElement_1_1CmdUVCoords.html#9674d5a79bb8efddaf016c919a3ce01c">Ogre::PanelOverlayElement::CmdUVCoords</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdAngle.html#ae800df784bd4e920cd0ac3e3dceb5c9">Ogre::EmitterCommands::CmdAngle</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColour.html#75a8b5b22d60976de5fda44e3e56dc77">Ogre::EmitterCommands::CmdColour</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html#cd432f965389d608f8bd5e37cfd2e6e7">Ogre::EmitterCommands::CmdColourRangeStart</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html#0afdc4c39933dab9727b742dff91328b">Ogre::EmitterCommands::CmdColourRangeEnd</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDirection.html#183ca16a0bb97772c0f6836761bcd168">Ogre::EmitterCommands::CmdDirection</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html#5e4beef3fd633d05186db80f6e935724">Ogre::EmitterCommands::CmdEmissionRate</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html#138ff291cd0eea5718f31805a03f95e7">Ogre::EmitterCommands::CmdVelocity</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html#2842042188b1892b2ccd0073bc08a640">Ogre::EmitterCommands::CmdMinVelocity</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html#f37a9ceb9e09e2035c34fc38bfe4fd3e">Ogre::EmitterCommands::CmdMaxVelocity</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdTTL.html#d198b8248164985291386bb4be276f92">Ogre::EmitterCommands::CmdTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html#73edf98f969e2d7ff3849c0c52e04572">Ogre::EmitterCommands::CmdMinTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html#721b4bc9ac1c1be4acc90c181ca30a06">Ogre::EmitterCommands::CmdMaxTTL</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdPosition.html#f673ed7707415d9fda8998715fbbaab4">Ogre::EmitterCommands::CmdPosition</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#1e94d5a0af5739b057b7e6728db6b8f5">Ogre::EmitterCommands::CmdDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html#a17a214cecf5d3030864a85c816e67ff">Ogre::EmitterCommands::CmdMinDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html#e738fd01077a481a06bb54e6a35133f7">Ogre::EmitterCommands::CmdMaxDuration</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html#034e5bda1f3c5b85fcaa965fdd6ee65d">Ogre::EmitterCommands::CmdRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html#37ffe1864f7d5655cda17e1ee1bcd4bb">Ogre::EmitterCommands::CmdMinRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html#67fe0ff0ecbbc1020271e77b81871085">Ogre::EmitterCommands::CmdMaxRepeatDelay</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdName.html#c7533d60514ad91d1fd8f3d391c90eb7">Ogre::EmitterCommands::CmdName</a>, <a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html#f1882a2c738949716241f03cfc61f0a2">Ogre::EmitterCommands::CmdEmittedEmitter</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdQuota.html#51c2f33b145b8ab3c9bbaa651330032c">Ogre::ParticleSystem::CmdQuota</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdEmittedEmitterQuota.html#a39fe53757007826ccbfcb13248ddb1c">Ogre::ParticleSystem::CmdEmittedEmitterQuota</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdMaterial.html#c1a7c49655de7d4744630271a682d1dd">Ogre::ParticleSystem::CmdMaterial</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdCull.html#cea8c785f5148806fcd3810fd2302392">Ogre::ParticleSystem::CmdCull</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdWidth.html#f112962a4c70d3ef761dd628dff59a97">Ogre::ParticleSystem::CmdWidth</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdHeight.html#0c0749a81734ed00bb5a0fa28a595f46">Ogre::ParticleSystem::CmdHeight</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdRenderer.html#b3f702f7088ea5887bba49c008847edb">Ogre::ParticleSystem::CmdRenderer</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdSorted.html#84ef05da16526109a2fc3d39c02818c2">Ogre::ParticleSystem::CmdSorted</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdLocalSpace.html#57ce4ce6b6d00584ec667504c7e68906">Ogre::ParticleSystem::CmdLocalSpace</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdIterationInterval.html#a0fb37767309a1d6deb5dfc08facdf90">Ogre::ParticleSystem::CmdIterationInterval</a>, <a class="el" href="classOgre_1_1ParticleSystem_1_1CmdNonvisibleTimeout.html#58d21358b037fedccafefa4ac47c838f">Ogre::ParticleSystem::CmdNonvisibleTimeout</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCaption.html#6d6fb9589baf3dd6451b96ab47b27db9">Ogre::TextAreaOverlayElement::CmdCaption</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdCharHeight.html#52a2fca1b9335fd41ab9ba2baf2e55d3">Ogre::TextAreaOverlayElement::CmdCharHeight</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdSpaceWidth.html#a8f24a768cfbcf4a32887a34f3dc786e">Ogre::TextAreaOverlayElement::CmdSpaceWidth</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdFontName.html#9d2dc823800fa1236c96434754937f0c">Ogre::TextAreaOverlayElement::CmdFontName</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourTop.html#2497b09b89ed9f5010995293b0e3eac5">Ogre::TextAreaOverlayElement::CmdColourTop</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColourBottom.html#13bc918f37a94caaf6d50940fc8c1cac">Ogre::TextAreaOverlayElement::CmdColourBottom</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdColour.html#1a01fed4ccd43a1e485521c146166cb4">Ogre::TextAreaOverlayElement::CmdColour</a>, <a class="el" href="classOgre_1_1TextAreaOverlayElement_1_1CmdAlignment.html#8e85a54453d52e844be7cbf2ddedc097">Ogre::TextAreaOverlayElement::CmdAlignment</a>, and <a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram_1_1CmdDelegate.html#fd9c6640e262604738e14ef73f57208c">Ogre::UnifiedHighLevelGpuProgram::CmdDelegate</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStringInterface_8h-source.html">OgreStringInterface.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:17 2008
</p>
</body>
</html>
